#!/bin/bash
echo create a new VM
qm create {{ vm_config.id }} --name template-{{ vm_config.name }} --memory {{ vm_config.memory }} --net0 virtio,bridge=vmbr0 --agent enabled=1

echo Set VM desciption
qm set {{ vm_config.id }} --description `date`

echo Importdisk OS disk image to Proxmox VM storage space
qm importdisk {{ vm_config.id }} {{ download_path }}/{{ vm_config.file }} {{ vm_config.storage }}

echo Attach OS disk image to the VM as scsi drive
qm set {{ vm_config.id }} --scsihw virtio-scsi-pci --scsi0 $(qm config {{ vm_config.id }} | grep unused0: | sed s/unused0://g;)

echo Configure a serial console and use it as a display.
qm set {{ vm_config.id }} --serial0 socket --vga serial0
    
echo Convert VM to template
qm template {{ vm_config.id }}

echo Set the bootdisk allowing to boot directly from cloudinit. Restrict BIOS to boot from disk only.
qm set {{ vm_config.id }} --boot c --bootdisk scsi0

# echo Configure CD-ROM drive used for passing the Cloud-Init data to the VM
# qm set {{ vm_config.id }} --ide2 {{ vm_config.storage }}:cloudinit
# 
# echo Configure the SSH public key used for authentication.
# qm set {{ vm_config.id }}  --sshkey /mnt/pve/synology/snippets/bootstrapp
# 
# echo Set cloudinit network settings.
# qm set {{ vm_config.id }}  --nameserver 10.1.1.231 --searchdomain fwc.dc.ops.vm --ipconfig0 ip=dhcp